#ifndef TERMINAL_COLOURS_H
#define TERMINAL_COLOURS_H

#include "../../../../common/platform/platform.h"

#ifdef WAPP_PLATFORM_CPP
BEGIN_C_LINKAGE
#endif // WAPP_PLATFORM_CPP

typedef enum {
  WAPP_TERM_COLOUR_FG_BLACK,
  WAPP_TERM_COLOUR_FG_RED,
  WAPP_TERM_COLOUR_FG_GREEN,
  WAPP_TERM_COLOUR_FG_BLUE,
  WAPP_TERM_COLOUR_FG_CYAN,
  WAPP_TERM_COLOUR_FG_MAGENTA,
  WAPP_TERM_COLOUR_FG_YELLOW,
  WAPP_TERM_COLOUR_FG_WHITE,
  WAPP_TERM_COLOUR_FG_BR_BLACK,
  WAPP_TERM_COLOUR_FG_BR_RED,
  WAPP_TERM_COLOUR_FG_BR_GREEN,
  WAPP_TERM_COLOUR_FG_BR_BLUE,
  WAPP_TERM_COLOUR_FG_BR_CYAN,
  WAPP_TERM_COLOUR_FG_BR_MAGENTA,
  WAPP_TERM_COLOUR_FG_BR_YELLOW,
  WAPP_TERM_COLOUR_FG_BR_WHITE,
  WAPP_TERM_COLOUR_CLEAR,

  COUNT_TERM_COLOUR,
} TerminalColour;

#ifdef WAPP_PLATFORM_CPP
END_C_LINKAGE
#endif // WAPP_PLATFORM_CPP

#endif // !TERMINAL_COLOURS_H
